DZ1.2/FERZid/ViewModels/SadrzajViewModel.cs
using Microsoft.AspNetCore.Mvc.Rendering;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.Collections.Generic;

namespace FERZid.Models
{
    public class SadrzajViewModel
    {


        public int Idsadržaja { get; set; }
        public string Nazivsadržaja { get; set; }
        public int IdvrsteSadržaja { get; set; }
        public string NazivVrsteSadržaja { get; set; }
        public int Idformata { get; set; }
        public string NazivFormata { get; set; }
        public byte[] Podaci { get; set; }
        public long? Veličina { get; set; }
 

        public List<Sadržaj> sadrzaji;
        public SelectList formati;
        public string formatSadrzaja { get; set; }
        public SelectList vrsteSadrzaja;
        public string vrstaSadrzaja { get; set; }


        public IEnumerable<UlogaOsobeViewModel> Uloge { get; set; }
        public Dictionary<int, IEnumerable<UlogaOsobeViewModel>> sadrzajUloge { get; set; }

        public SadrzajViewModel()
        {
            this.Uloge = new List<UlogaOsobeViewModel>();
            this.sadrzajUloge = new Dictionary<int,IEnumerable<UlogaOsobeViewModel>>();
        }


    }
}

DZ1.2/FERZid/Controllers/SadrzajController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Rendering;
using Microsoft.EntityFrameworkCore;
using FERZid.Models;
//using PagedList;

namespace FERZid.Controllers
{
    public class SadrzajController : Controller
    {
        private readonly RPPP08Context _context;

        public SadrzajController(RPPP08Context context)
        {
            _context = context;    
        }

        // GET: Sadrzaj
        public async Task<IActionResult> Index(string searchString, string formatSadrzaja, string vrstaSadrzaja, string sortOrder, string currentFilter, string currentFormat, string currentVrsta, string errorMessage, string successMessage, int page=0)
        {
           
         


            IQueryable<string> formatQuery = from m in _context.Sadržaj
                                             .Include(s => s.IdformataNavigation)
                                             .Include(s => s.IdvrsteSadržajaNavigation)
                                             orderby m.IdformataNavigation.Naziv
                                             select m.IdformataNavigation.Naziv;

            IQueryable<string> vrstaSadrzajaQuery = from m in _context.Sadržaj
                                             .Include(s => s.IdformataNavigation)
                                             .Include(s => s.IdvrsteSadržajaNavigation)
                                                    orderby m.IdvrsteSadržajaNavigation.Naziv
                                                    select m.IdvrsteSadržajaNavigation.Naziv;

            ViewBag.CurrentSort = sortOrder;

            ViewBag.nazivSortParam = String.IsNullOrEmpty(sortOrder) ? "naziv_desc" : "";
            ViewBag.formatSortParam = sortOrder == "format_desc" ? "format_asc" : "format_desc";
            ViewBag.vrstaSadrzajaSortParam = sortOrder == "vrstaSadrzaja_desc" ? "vrstaSadrzaja_asc" : "vrstaSadrzaja_desc";



            if (searchString != null || formatSadrzaja !=null || vrstaSadrzaja != null)
            {
                page = 0;
            }
            
            if (searchString == null) searchString = currentFilter;
            if (formatSadrzaja == null) formatSadrzaja = currentFormat;
            if (vrstaSadrzaja == null) vrstaSadrzaja = currentVrsta;
            



            ViewBag.CurrentFilter = searchString;
            ViewBag.CurrentFormat = formatSadrzaja;
            ViewBag.CurrentVrsta = vrstaSadrzaja;

            var sadr = from m in _context.Sadržaj
                           .Include(s => s.IdformataNavigation)
                           .Include(s => s.IdvrsteSadržajaNavigation)
                       select m;   


            if (!String.IsNullOrEmpty(searchString))
            {
                sadr = sadr.Where(s => s.Naziv.Contains(searchString));
            }
            
            if (!String.IsNullOrEmpty(formatSadrzaja))
            {
                sadr = sadr.Where(x => x.IdformataNavigation.Naziv == formatSadrzaja);
            }

            if (!String.IsNullOrEmpty(vrstaSadrzaja))
            {
                sadr = sadr.Where(y => y.IdvrsteSadržajaNavigation.Naziv == vrstaSadrzaja);
            }
            

            switch (sortOrder)
            {

                case "naziv_desc":
                    sadr = sadr.OrderByDescending(s => s.Naziv);
                    break;
                case "format_asc":
                    sadr = sadr.OrderBy(s => s.IdformataNavigation.Naziv);
                    break;
                case "format_desc":
                    sadr = sadr.OrderByDescending(s => s.IdformataNavigation.Naziv);
                    break;
                case "vrstaSadrzaja_asc":
                    sadr = sadr.OrderBy(s => s.IdvrsteSadržajaNavigation.Naziv);
                    break;
                case "vrstaSadrzaja_desc":
                    sadr = sadr.OrderByDescending(s => s.IdvrsteSadržajaNavigation.Naziv);
                    break;
                default:
                    sadr = sadr.OrderBy(s => s.Naziv);
                    break;
            }

            const int pageSize = 3;
            var count = sadr.Count();
            if (count == 0) page = 0;
            else if ((page * pageSize) >= count) --page;

            sadr = sadr.Skip(page * pageSize).Take(pageSize);
            this.ViewBag.MaxPage = (count / pageSize) - (count % pageSize == 0 ? 1 : 0);
            this.ViewBag.Page = page;

            var sadrzajViewModel = new SadrzajViewModel();
            
            sadrzajViewModel.formati= new SelectList(await formatQuery.Distinct().ToListAsync());
            sadrzajViewModel.vrsteSadrzaja = new SelectList(await vrstaSadrzajaQuery.Distinct().ToListAsync());
            sadrzajViewModel.sadrzaji = await sadr.ToListAsync();
            sadrzajViewModel.sadrzaji.ForEach( m =>
            {
               var uloge = _context.UlogaOsobe
                    .Where(s => s.Idsadržaja == m.Idsadržaja)
                    .Select(s => new UlogaOsobeViewModel
                    {
                        IdulogeOsobe = s.IdulogeOsobe,
                        IdvrsteUloge = s.IdvrsteUloge,
                        NazivVrsteUloge = s.IdvrsteUlogeNavigation.Naziv,
                        Idosobe = s.Idosobe,
                        ImeIPrezimeOsobe = s.IdosobeNavigation.Ime + " " + s.IdosobeNavigation.Prezime,
                        Idsadržaja = s.Idsadržaja,
                        NazivSadrzaja = s.IdsadržajaNavigation.Naziv
                    })
                    .ToList();
                m.ulogeNadSadrzajem = uloge;
                
            });


            ViewData["Error"] = errorMessage;
            TempData["Success"] = successMessage;

            return View(sadrzajViewModel);

        }

        // GET: Sadrzaj/Details/5
        public async Task<IActionResult> Details(int? id, int? previousDetail, int? nextDetail, string sortOrder, string currentFilter, string currentFormat, string currentVrsta, int page)
        {
            if (id == null && previousDetail == null && nextDetail == null)
            {
                return NotFound();
            }

            var sadr = from m in _context.Sadržaj
                           .Include(s => s.IdformataNavigation)
                           .Include(s => s.IdvrsteSadržajaNavigation)
                       select m;
            List<Sadržaj> sadrzaji = await sadr.ToListAsync();

           

            if (previousDetail != null)
            {
                id = sadrzaji.ElementAt((int)previousDetail).Idsadržaja;
            }

            if (nextDetail != null)
            {
                id = sadrzaji.ElementAt((int)nextDetail).Idsadržaja;
            }

            var sadrzaj = await _context.Sadržaj
               .AsNoTracking()
               .Where(m => m.Idsadržaja == id)
               .Select(s => new SadrzajViewModel
               {
                   Idsadržaja = s.Idsadržaja,
                   Nazivsadržaja = s.Naziv,
                   IdvrsteSadržaja =s.IdvrsteSadržaja,
                   NazivVrsteSadržaja =s.IdvrsteSadržajaNavigation.Naziv,
                   Idformata = s.Idformata,
                   NazivFormata = s.IdformataNavigation.Naziv,
                   Podaci = s.Podaci,
                   Veličina = s.Veličina
                })
               .FirstOrDefaultAsync();

            if (sadrzaj == null)
            {
                return NotFound();
            }
            else
            {
                
                sadrzaj.sadrzaji = sadrzaji;
                int indexAktualni = sadrzaj.sadrzaji.FindIndex(k => k.Idsadržaja == id);
                ViewBag.IndexAktualni = indexAktualni;
                ViewBag.NumberOfElements = sadrzaj.sadrzaji.Count();
                
                


                var uloge = await _context.UlogaOsobe
                    .Where(s => s.Idsadržaja == sadrzaj.Idsadržaja)
                    .Select(s => new UlogaOsobeViewModel
                    {
                        IdulogeOsobe = s.IdulogeOsobe,
                        IdvrsteUloge = s.IdvrsteUloge,
                        NazivVrsteUloge = s.IdvrsteUlogeNavigation.Naziv,
                        Idosobe = s.Idosobe,
                        ImeIPrezimeOsobe = s.IdosobeNavigation.Ime + " " + s.IdosobeNavigation.Prezime,
                        Idsadržaja = s.Idsadržaja,
                        NazivSadrzaja = s.IdsadržajaNavigation.Naziv
                    })
                    .ToListAsync();

                sadrzaj.Uloge = uloge;
            }

            ViewBag.Page = page;
            ViewBag.CurrentFilter = currentFilter;
            ViewBag.CurrentFormat = currentFormat;
            ViewBag.CurrentVrsta = currentVrsta;
            ViewBag.CurrentSort = sortOrder;

            return View(sadrzaj);
        }

        // GET: Sadrzaj/Create
        public IActionResult Create()
        {
            ViewData["Idformata"] = new SelectList(_context.Format, "Idformata", "Naziv");
            ViewData["IdvrsteSadržaja"] = new SelectList(_context.VrstaSadržaja, "IdvrsteSadržaja", "Naziv");
            return View();
        }

        // POST: Sadrzaj/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Create([Bind("Idsadržaja,IdvrsteSadržaja,Idformata,Naziv,Podaci,Veličina")] Sadržaj sadržaj)
        {
            string successMessage = null;

            if (ModelState.IsValid)
            {
                _context.Add(sadržaj);
                await _context.SaveChangesAsync();
                successMessage = "Sadržaj created: " + sadržaj.Naziv;

DZ1.2/FERZid/Views/Sadrzaj/Delete.cshtml
@model FERZid.Models.Sadržaj

@{
    ViewData["Title"] = "Delete";
}

<h2>Delete</h2>


<div>
    <h4>ID sadržaja: @Html.DisplayFor(model => model.Idsadržaja)</h4>
    <hr />
    <dl class="dl-horizontal">
        <input type="hidden" asp-for="Idsadržaja" />
        <dt>
           Naziv
        </dt>
        <dd>
            @Html.DisplayFor(model => model.Naziv)
        </dd>
        
        <dt>
            Format
        </dt>
        <dd>
            @Html.DisplayFor(model => model.IdformataNavigation.Naziv)
        </dd>
        <dt>
            Vrsta sadržaja
        </dt>
        <dd>
            @Html.DisplayFor(model => model.IdvrsteSadržajaNavigation.Naziv)
        </dd>

        <dt>
            Podaci
        </dt>
        <dd>
            @Html.DisplayFor(model => model.Podaci)
        </dd>
        <dt>
            Veličina
        </dt>
        <dd>
            @Html.DisplayFor(model => model.Veličina)
        </dd>
    </dl>
    
   
    

    <form asp-action="Delete">
        <div class="form-actions no-color">
            <input type="submit" value="Delete" onclick="return confirm('Are you sure you want to delete the record with id = @Model.Idsadržaja')" /> |
            <a asp-action="Index">Back to List</a>
        </div>
    </form>



</div>

DZ1.2/FERZid/Views/Sadrzaj/Details.cshtml
@model FERZid.Models.SadrzajViewModel

@{
    ViewData["Title"] = "Details";
}

<h2>Details</h2>


    <p align="left">
        @if (ViewBag.IndexAktualni > 0)
        {
        
            <a href="@Url.Action("Details","Sadrzaj", new { previousDetail = ViewBag.IndexAktualni - 1,page = ViewBag.Page, sortOrder = ViewBag.CurrentSort, currentFilter = ViewBag.CurrentFilter, currentFormat = ViewBag.CurrentFormat, currentVrsta = ViewBag.CurrentVrsta })"
               class="btn btn-default">
                &laquo; Prev
            </a>


        }

        @if (ViewBag.IndexAktualni < ViewBag.NumberOfElements - 1)
        {

            <a href="@Url.Action("Details","Sadrzaj", new { nextDetail = ViewBag.IndexAktualni + 1,page = ViewBag.Page, sortOrder = ViewBag.CurrentSort, currentFilter = ViewBag.CurrentFilter, currentFormat = ViewBag.CurrentFormat, currentVrsta = ViewBag.CurrentVrsta })"
               class="btn btn-default">
                Next &raquo;
            </a>

        }


    </p>


<div>
    <h4>ID sadržaja: @Html.DisplayFor(model => model.Idsadržaja)</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            Naziv sadržaja
        </dt>
        <dd>
            @Html.DisplayFor(model => model.Nazivsadržaja)
        </dd>
        
        <dt>
            Format
        </dt>
        <dd>
            @Html.DisplayFor(model => model.NazivFormata)
        </dd>
        <dt>
            Vrsta sadržaja
        </dt>
        <dd>
            @Html.DisplayFor(model => model.NazivVrsteSadržaja)
        </dd>
        <dt>
            Podaci
        </dt>
        <dd>
            @Html.DisplayFor(model => model.Podaci)
        </dd>
        <dt>
            Veličina
        </dt>
        <dd>
            @Html.DisplayFor(model => model.Veličina)
        </dd>
    </dl>
</div>




<hr />
<h4>Nadležne osobe:</h4>
<br />
<table class="table table-striped" id="tableUloge">
    <thead>
        <tr>
            <th>
                Osoba
            </th>
            <th>
                Vrsta uloge
            </th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model.Uloge)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.ImeIPrezimeOsobe)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.NazivVrsteUloge)
                </td>
            </tr>
        }
    </tbody>
</table>



<div>
    @Html.ActionLink("Back to Sadržaj list", "Index", "Sadrzaj", new { page = ViewBag.Page, sortOrder = ViewBag.CurrentSort, currentFilter = ViewBag.CurrentFilter, currentFormat = ViewBag.CurrentFormat, currentVrsta = ViewBag.CurrentVrsta })
</div>

DZ1.2/FERZid/Views/Sadrzaj/Edit.cshtml
@model FERZid.Models.Sadržaj

@{
    ViewData["Title"] = "Edit";
}

<h2>Edit</h2>

<hr />

<br>

@if (TempData["Success"] != null)
{
    <div class="green">
        <p><strong>Success:</strong> @TempData["Success"].ToString()</p>
    </div>
}





<br>


<form asp-action="Edit" asp-route-page="@ViewBag.Page" asp-route-sortOrder="@ViewBag.CurrentSort" asp-route-currentFilter="@ViewBag.CurrentFilter" asp-route-currentFormat="@ViewBag.CurrentFormat" asp-route-currentVrsta="@ViewBag.CurrentVrsta">
    <div class="form-horizontal">
        <h4>Sadržaj</h4>
        <hr />
        <div asp-validation-summary="ModelOnly" class="text-danger"></div>
    <input type="hidden" asp-for="Idsadržaja" />



        <div class="form-group">
            <label asp-for="Naziv" class="col-md-2 control-label">Naziv</label>
            <div class="col-md-10">
                <input asp-for="Naziv" class="form-control" />
                <span asp-validation-for="Naziv" class="text-danger"></span>
            </div>
        </div>



        <div class="form-group">
            <label asp-for="Idformata" class="control-label col-md-2">Format</label>
            <div class="col-md-10">
                <select asp-for="Idformata" class="form-control" asp-items="ViewBag.Idformata"></select>
                <span asp-validation-for="Idformata" class="text-danger"></span>
            </div>
        </div>

        <div class="form-group">
            <label asp-for="IdvrsteSadržaja" class="control-label col-md-2">Vrsta sadržaja</label>
            <div class="col-md-10">
                <select asp-for="IdvrsteSadržaja" class="form-control" asp-items="ViewBag.IdvrsteSadržaja"></select>
                <span asp-validation-for="IdvrsteSadržaja" class="text-danger"></span>
            </div>
        </div>

        



        <div class="form-group">
            <label asp-for="Podaci" class="col-md-2 control-label"></label>
            <div class="col-md-10">
                <input asp-for="Podaci" class="form-control" />
                <span asp-validation-for="Podaci" class="text-danger"></span>
            </div>
        </div>


        <div class="form-group">
            <label asp-for="Veličina" class="col-md-2 control-label"></label>
            <div class="col-md-10">
                <input asp-for="Veličina" class="form-control" />
                <span asp-validation-for="Veličina" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group">
            <div class="col-md-offset-2 col-md-10" >

                <input type="submit" value="Save" class="btn btn-default" />

            </div>
        </div>
    </div>
</form>



@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
<div>
    @*<a asp-action="Index" asp-route-page="@ViewBag.Page" asp-route-sortOrder="@ViewBag.CurrentSort" asp-route-currentFilter="@ViewBag.CurrentFilter" asp-route-currentFormat="@ViewBag.CurrentFormat" asp-route-currentVrsta="@ViewBag.CurrentVrsta">Back to List</a>*@
    @Html.ActionLink("Back to Sadržaj list", "Index", "Sadrzaj", new { page = ViewBag.Page, sortOrder = ViewBag.CurrentSort, currentFilter = ViewBag.CurrentFilter, currentFormat = ViewBag.CurrentFormat, currentVrsta = ViewBag.CurrentVrsta })
</div>

DZ1.2/FERZid/Views/Sadrzaj/Index.cshtml
@model FERZid.Models.SadrzajViewModel

@{
    ViewData["Title"] = "Sadržaj";
}

<h2>Sadržaji</h2>
<hr />
<p>
    <a style="margin-bottom:20px" class="btn btn-success btn" asp-action="Create" title="Dodaj sadržaj"><span class="glyphicon glyphicon-plus"></span>Dodaj sadržaj</a>
</p>
<br />


    @using (Html.BeginForm("Index", "Sadrzaj", FormMethod.Get))
    {
        <p align="right">
            Naziv: @Html.TextBox("searchString", ViewBag.CurrentFilter as string)
        </p>


        <p align="right">
            Format:  <select asp-for="formatSadrzaja" asp-items="Model.formati">
                <option value="">All</option>
            </select>
        </p>

        <p align="right">
            Vrsta sadržaja:  <select asp-for="vrstaSadrzaja" asp-items="Model.vrsteSadrzaja">
                <option value="">All</option>
            </select>
        </p>

        <p align="right">
            <input type="submit" value="Search" />
        </p>
    }




@if (ViewData["Error"] != null)
{
    <div class="red">
        <p><strong>Error:</strong> @ViewData["Error"].ToString()</p>
    </div>
}
@if (TempData["Success"] != null)
{
    <div class="green">
        <p><strong>Success:</strong> @TempData["Success"].ToString()</p>
    </div>
}



<hr />

<br>



    <table class="table table-striped">
        <thead>
            <tr>
               
                <th>
                    @Html.ActionLink("Naziv", "Index", new { sortOrder = ViewBag.nazivSortParam, currentFilter = ViewBag.CurrentFilter, currentFormat = ViewBag.CurrentFormat, currentVrsta = ViewBag.CurrentVrsta })
                </th>

               

                <th>
                    @Html.ActionLink("Format", "Index", new { sortOrder = ViewBag.formatSortParam, currentFilter = ViewBag.CurrentFilter, currentFormat = ViewBag.CurrentFormat, currentVrsta = ViewBag.CurrentVrsta })
                </th>

                <th>
                    @Html.ActionLink("Vrsta sadržaja", "Index", new { sortOrder = ViewBag.vrstaSadrzajaSortParam, currentFilter = ViewBag.CurrentFilter, currentFormat = ViewBag.CurrentFormat, currentVrsta = ViewBag.CurrentVrsta })
                </th>

                <th>
                    Uloge osoba
                </th>
                <th>
                    Opcije uloga
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.sadrzaji[0].Veličina)
                </th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model.sadrzaji)
            {
               
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.Naziv)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.IdformataNavigation.Naziv)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.IdvrsteSadržajaNavigation.Naziv)
                    </td>

                    

                    <td>
                        @if (item.ulogeNadSadrzajem != null)
                        {
                                                    @foreach (var thing in item.ulogeNadSadrzajem)
                                                    {

                                                        <p>
                                                            @thing.NazivVrsteUloge: @Html.ActionLink(thing.ImeIPrezimeOsobe, "Details","Osoba", new {id=thing.Idosobe})
                                                            @*@Html.DisplayFor(modelItem => thing.NazivVrsteUloge): @Html.DisplayFor(modelItem => thing.ImeIPrezimeOsobe)*@
                                                            
                                                        </p>
                                                        
                               

                                                    }
                            
                        }


                    </td>

                    <td>
                        @if (item.ulogeNadSadrzajem != null)
                        {
                            @foreach (var thing in item.ulogeNadSadrzajem)
                            {

                                <p>
                                    @Html.ActionLink("Details", "Details", "UlogaOsobe", new { id = thing.IdulogeOsobe }) |
                                    @Html.ActionLink("Edit", "Edit", "UlogaOsobe", new { id = thing.IdulogeOsobe }) |
                                    @*@Html.ActionLink("Delete", "Delete", "UlogaOsobe", new { id = thing.IdulogeOsobe })*@
                                    <a asp-action="Delete" asp-controller="UlogaOsobe" asp-route-page="@ViewBag.Page" asp-route-deleteFromSadrzaj=1 asp-route-sortOrder="@ViewBag.CurrentSort" asp-route-currentFilter="@ViewBag.CurrentFilter" asp-route-currentFormat="@ViewBag.CurrentFormat" asp-route-currentVrsta="@ViewBag.CurrentVrsta" asp-route-id="@thing.IdulogeOsobe" onclick="return confirm('Are you sure you want to delete the record with id = @thing.IdulogeOsobe')">Delete</a>
                                    @*@Html.DisplayFor(modelItem => thing.NazivVrsteUloge): @Html.DisplayFor(modelItem => thing.ImeIPrezimeOsobe)*@
                                </p>



                            }
                           
                            
                        }
                        @Html.ActionLink("Dodaj ulogu", "Create", "UlogaOsobe", new { idSadrzaja =item.Idsadržaja, page = ViewBag.Page, sortOrder = ViewBag.CurrentSort, currentFilter = ViewBag.CurrentFilter, currentFormat = ViewBag.CurrentFormat, currentVrsta = ViewBag.CurrentVrsta })
                        
                    </td>



                    <td>
                        @Html.DisplayFor(modelItem => item.Veličina)
                    </td>
                    <td>




                        <div class="btn-group">
                            <button class="btn btn-default">
                                <a asp-action="Edit" asp-route-id="@item.Idsadržaja" asp-route-page="@ViewBag.Page" asp-route-sortOrder="@ViewBag.CurrentSort" asp-route-currentFilter="@ViewBag.CurrentFilter" asp-route-currentFormat="@ViewBag.CurrentFormat" asp-route-currentVrsta="@ViewBag.CurrentVrsta">
                                    <span class="glyphicon glyphicon-pencil"></span>
                                </a>
                            </button>
                            <button class="btn btn-default">
                                <a asp-action="Details" asp-route-id="@item.Idsadržaja"  asp-route-page="@ViewBag.Page" asp-route-sortOrder="@ViewBag.CurrentSort" asp-route-currentFilter="@ViewBag.CurrentFilter" asp-route-currentFormat="@ViewBag.CurrentFormat" asp-route-currentVrsta="@ViewBag.CurrentVrsta">
                                    <span class="glyphicon glyphicon-zoom-in"></span>
                                </a>
                            </button>
                            <button class="btn btn-default">
                                <a asp-action="Delete" asp-route-id="@item.Idsadržaja"  asp-route-page="@ViewBag.Page" asp-route-sortOrder="@ViewBag.CurrentSort" asp-route-currentFilter="@ViewBag.CurrentFilter" asp-route-currentFormat="@ViewBag.CurrentFormat" asp-route-currentVrsta="@ViewBag.CurrentVrsta" onclick="return confirm('Are you sure you want to delete the record with id = @item.Idsadržaja')" >
                                    <span class="glyphicon glyphicon-trash"></span>
                                </a>
                            </button>
                        </div>


                        <a asp-action=""  onclick="return confirm('Not implemented')">&nbsp&nbspDownload</a>

                    </td>
                </tr>
            }
        </tbody>
    </table>

    @section styles {
        <link rel="stylesheet" href="https://cdn.datatables.net/1.10.13/css/jquery.dataTables.min.css" />
    }

    @section scripts {
        <script src="https://cdn.datatables.net/1.10.13/js/jquery.dataTables.min.js"></script>

    }

    @if (ViewBag.Page > 0)
    {
        <a href="@Url.Action("Index", new { page = ViewBag.Page - 1,sortOrder = ViewBag.CurrentSort, currentFilter = ViewBag.CurrentFilter,currentFormat=ViewBag.CurrentFormat,currentVrsta= ViewBag.CurrentVrsta })"
           class="btn btn-default">
            &laquo; Prev
        </a>
    }
    @if (ViewBag.Page < ViewBag.MaxPage)
    {
        <a href="@Url.Action("Index", new { page = ViewBag.Page + 1,sortOrder = ViewBag.CurrentSort, currentFilter = ViewBag.CurrentFilter,currentFormat=ViewBag.CurrentFormat,currentVrsta= ViewBag.CurrentVrsta })"
           class="btn btn-default">
            Next &raquo;
        </a>
    }
    <hr />
    @for (int i = 0; i <= ViewBag.MaxPage; i++)
    {
        int j = i + 1;

        @if (ViewBag.Page == @i)
        {
            <ul class="pagination">
                <li>@Html.ActionLink(@j.ToString(), "Index", "Sadrzaj", new { page = @i, sortOrder = ViewBag.CurrentSort, currentFilter = ViewBag.CurrentFilter, currentFormat = ViewBag.CurrentFormat, currentVrsta= ViewBag.CurrentVrsta }, new { @style = "color:green;font-weight:bold;" })</li>
            </ul>
        }

        @if (ViewBag.Page != @i)
        {
            <ul class="pagination">
                <li>@Html.ActionLink(@j.ToString(), "Index", "Sadrzaj", new { page = @i, sortOrder = ViewBag.CurrentSort, currentFilter = ViewBag.CurrentFilter, currentFormat = ViewBag.CurrentFormat, currentVrsta = ViewBag.CurrentVrsta }, null)</li>
            </ul>
        }

    }